Subject: bug#13000: 24.2.90; underwave doesn't look as good as other IDEs

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Dec 2012 21:33:18 +0200

> The problem I am seeing seems to be specific to Mac Port
> that I am using.

The problem occurs in X11 builds on GNU/Linux too.

With a small font the underwave line turns into a dashed line.
For example, with the following small fonts it looks like

-misc-fixed-medium-r-normal--10-100-75-75-c-60-iso8859-1

-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso8859-1

Only with a bigger font, it looks like a wave:

-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso8859-1

However, the proposed patch provides much better graceful degradation,
where even with small fonts the line looks like a wave, for example:

-misc-fixed-medium-r-normal--10-100-75-75-c-60-iso8859-1

-misc-fixed-medium-r-normal--14-130-75-75-c-70-iso8859-1

-misc-fixed-medium-r-normal--18-120-100-100-c-90-iso8859-1

I believe this confirms the patch is an improvement.